from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.sheet import XSheetCellRange

@runtime_checkable
class XSpreadsheet(XSheetCellRange, Protocol):
    def createCursor(self) -> XSheetCellCursor: ...
    def createCursorByRange(self, aRange: XSheetCellRange) -> XSheetCellCursor: ...
